# DataExchange
TKSTEPBase
RWStepGeom

# RWStepGeom_RWAxis2Placement3d Class Reference

Read & Write Module for Axis2Placement3d
.

`#include <RWStepGeom_RWAxis2Placement3d.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | RWStepGeom_RWAxis2Placement3d ()
Standard_EXPORT void | ReadStep (const Handle(StepData_StepReaderData)&data, const Standard_Integer num, Handle(Interface_Check)&ach, const Handle(StepGeom_Axis2Placement3d)&ent) const
Standard_EXPORT void | WriteStep (StepData_StepWriter &SW, const Handle(StepGeom_Axis2Placement3d)&ent) const
Standard_EXPORT void | Share (const Handle(StepGeom_Axis2Placement3d)&ent, Interface_EntityIterator &iter) const

## Constructor & Destructor Documentation

Standard_EXPORT RWStepGeom_RWAxis2Placement3d::RWStepGeom_RWAxis2Placement3d | ( |  | ) |

## Member Function Documentation

void RWStepGeom_RWAxis2Placement3d::operator delete | ( | void * | anAddress | ) | `[inline]`

void* RWStepGeom_RWAxis2Placement3d::operator new | ( | size_t | size | ) | `[inline]`

void* RWStepGeom_RWAxis2Placement3d::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void RWStepGeom_RWAxis2Placement3d::ReadStep | ( | const Handle(StepData_StepReaderData)& | data,
|  | const Standard_Integer | num,
|  | Handle(Interface_Check)& | ach,
|  | const Handle(StepGeom_Axis2Placement3d)& | ent
| ) | const

Standard_EXPORT void RWStepGeom_RWAxis2Placement3d::Share | ( | const Handle(StepGeom_Axis2Placement3d)& | ent,
|  | Interface_EntityIterator & | iter
| ) | const

Standard_EXPORT void RWStepGeom_RWAxis2Placement3d::WriteStep | ( | StepData_StepWriter & | SW,
|  | const Handle(StepGeom_Axis2Placement3d)& | ent
| ) | const

The documentation for this class was generated from the following file:

- RWStepGeom_RWAxis2Placement3d.hxx